# ::maintainer::

# phppgadmin Apache configuration

# note: use "pgsql" instead of "phppgadmin" for adding some sloppy security

Alias /pgsql ::pgsql.phppgadmin_dir::

<Directory ::pgsql.phppgadmin_dir::>
	Options FollowSymLinks
	DirectoryIndex index.php
	AllowOverride None

	Order Deny,Allow
	Deny from All
	Allow from 127.0.0.0/255.0.0.0 \::1/128
-ku-temp-tag-for-inserting-allow-ku-

	<IfModule mod_php5.c>
  		php_flag magic_quotes_gpc Off
  		php_flag track_vars On
  		php_value include_path .
	</IfModule>
	<IfModule !mod_php5.c>
  	  <IfModule mod_actions.c>
    	     <IfModule mod_cgi.c>
      		AddType application/x-httpd-php .php
      		Action application/x-httpd-php /cgi-bin/php
    	     </IfModule>
             <IfModule mod_cgid.c>
      		AddType application/x-httpd-php .php
      		Action application/x-httpd-php /cgi-bin/php
    	     </IfModule>
  	   </IfModule>
	</IfModule>

	#[ku]
	php_value memory_limit ::pgsql.php_memory_limit::


	# [ku] redirige obbligatoriamente su https
	#
	<IfModule mod_rewrite.c>
		RewriteEngine	On
		RewriteCond     %{SERVER_PORT} ^80$
		#RewriteRule	^(.*) https://%{SERVER_NAME}/$1 [R,L]
		RewriteRule	^(.*) https://%{SERVER_NAME}/pgsql
	</IfModule>

</Directory>
